Bug 460416 - (CVE-2008-3747) CVE-2008-3747 wordpress: insufficient SSL communication enforcement
CVE-2008-3747 wordpress: insufficient SSL communication enforcement
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-28 03:03 EDT by Tomas Hoger
Modified: 2010-03-29 07:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 07:12:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-08-28 03:03:23 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-3747 to the following vulnerability:

The (1) get_edit_post_link and (2) get_edit_comment_link functions in
wp-includes/link-template.php in WordPress before 2.6.1 do not force
SSL communication in the intended situations, which might allow remote
attackers to gain administrative access by sniffing the network for a
cookie.

Upstream bug report:
http://trac.wordpress.org/ticket/7359

References:
http://www.openwall.com/lists/oss-security/2008/08/19/1
http://www.openwall.com/lists/oss-security/2008/08/20/3

Fixed upstream in: 2.6.1
Comment 1 Adrian Reber 2008-08-28 16:08:27 EDT
I am working on it for F-9, F-8 and EL-5.
Comment 2 Fedora Update System 2008-08-29 02:52:24 EDT
wordpress-2.6.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/wordpress-2.6.1-1.fc9
Comment 3 Fedora Update System 2008-08-29 16:14:14 EDT
wordpress-2.6.1-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/wordpress-2.6.1-1.fc8
Comment 4 Fedora Update System 2008-09-05 08:22:01 EDT
wordpress-2.6.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-09-10 02:55:57 EDT
wordpress-2.6.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-09-10 03:24:40 EDT
wordpress-2.6.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.